package com.community.huiju.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TpActivity {
    private Integer id;

    private Integer communityId;

    private String activityTitle;

    private String activityCarouselImg;

    private String activityContent;

    private Integer sort;

    private Integer signUpCount;

    private Integer signUpMax;

    private Integer viewCount;

    private Date registrationStartTime;

    private Date registrationEndTime;

    private Date activityStartTime;

    private Date activityEndTime;

    private String status;

    private Integer createUser;

    private Date createDate;

    private Integer updateUser;

    private Date updateDate;
    
    private String userName;
    
    /**
     * 报名状态
     */
    private String signStatus;
    /**
     * 签到状态
     * 0已签到，1未签到
     */
    private  Integer signType;

    public void setSignType(Integer signType) {
        this.signType = signType;
    }

    public Integer getSignType() {
        return signType;
    }

    private List<String> imgList;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public String getActivityTitle() {
        return activityTitle;
    }

    public void setActivityTitle(String activityTitle) {
        this.activityTitle = activityTitle == null ? null : activityTitle.trim();
    }

    public String getActivityCarouselImg() {
        return activityCarouselImg;
    }

    public void setActivityCarouselImg(String activityCarouselImg) {
        this.activityCarouselImg = activityCarouselImg == null ? null : activityCarouselImg.trim();
    }

    public String getActivityContent() {
        return activityContent;
    }

    public void setActivityContent(String activityContent) {
        this.activityContent = activityContent == null ? null : activityContent.trim();
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getSignUpCount() {
        return signUpCount;
    }

    public void setSignUpCount(Integer signUpCount) {
        this.signUpCount = signUpCount;
    }

    public Integer getSignUpMax() {
        return signUpMax;
    }

    public void setSignUpMax(Integer signUpMax) {
        this.signUpMax = signUpMax;
    }

    public Integer getViewCount() {
        return viewCount;
    }

    public void setViewCount(Integer viewCount) {
        this.viewCount = viewCount;
    }

    public Date getRegistrationStartTime() {
        return registrationStartTime;
    }

    public void setRegistrationStartTime(Date registrationStartTime) {
        this.registrationStartTime = registrationStartTime;
    }

    public Date getRegistrationEndTime() {
        return registrationEndTime;
    }

    public void setRegistrationEndTime(Date registrationEndTime) {
        this.registrationEndTime = registrationEndTime;
    }

    public Date getActivityStartTime() {
        return activityStartTime;
    }

    public void setActivityStartTime(Date activityStartTime) {
        this.activityStartTime = activityStartTime;
    }

    public Date getActivityEndTime() {
        return activityEndTime;
    }

    public void setActivityEndTime(Date activityEndTime) {
        this.activityEndTime = activityEndTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }
    
    public String getUserName() {
        return userName;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public String getSignStatus() {
        return signStatus;
    }
    
    public void setSignStatus(String signStatus) {
        this.signStatus = signStatus;
    }
    
    public List<String> getImgList() {
        return imgList;
    }

    public void setImgList(List<String> imgList) {
        this.imgList = imgList;
    }
}